// Copyright (c)1999 MetaCreations. All Rights Reserved.

//
// Definition of ExBarycenter
//

#ifndef __Barycenter__
#define __Barycenter__  

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "IShRasterLayerUtilities.h"
#include "BarycenterDef.h"
#include "COMUtilities.h"
#include "BasicModifiers.h"  

// define the ExBarycenter CLSID

extern const MCGUID CLSID_ExBarycenter;


typedef struct ExBarycenterData {

} ExBarycenterData;


class ExBarycenter : public TBasicTreeModifier
{
public :  
	
	ExBarycenter();
	STANDARD_RELEASE;
	virtual void*		MCCOMAPI GetExtensionDataBuffer();
	virtual int32		MCCOMAPI GetParamsBufferSize		() const	{ return sizeof(fData);}
	virtual MCCOMErr	MCCOMAPI Apply(I3DShTreeElement* tree);
	
private :
	ExBarycenterData fData; 
};

#endif
